## undersmtpd 0.0.0.4.2.0.cvs20041126-1

=== debian/changelog ===
undersmtpd (0.0.0.4.2.0.cvs20041126-1) unstable; urgency=low

  * Initial Release.

 -- Ivan Kohler <ivan-debian@420.am>  Fri, 26 Nov 2004 04:44:42 -0800
