=== debian/control ===
Source: undersmtpd
Section: mail
Priority: extra
Build-Depends: debhelper (>= 4.0.2)
Build-Depends-Indep: perl
Maintainer: Ivan Kohler <ivan-debian@420.am>
Standards-Version: 3.6.1

Package: undersmtpd
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libnet-server-mail-perl
Recommends: netkit-inetd
Suggests: ssmtp | nullmailer | esmtp
Description: Minimal SMTP server which only pipes mail as specified in /etc/aliases
 This is a minimal SMTP server which only forwards mail to pipe destinations
 in /etc/aliases.  It does nothing else.  Its intended function is on an
 internal mail server that forwards mail to other programs on a per address
 basis.
 .
 UnderSMTPD reads /etc/aliases for usernames; if a match is identified
 the message is piped to the given program.  Any problems executing the program
 will cause a temporary SMTP error to be returned to the connecting client.
 .
 Other kinds of aliases are not recognized and cause a permanent SMTP error
 to be returned to the connecting client, as do usernames not found in
 /etc/aliases
 .
 UnderSMTPD was originally written to be used with the Request Tracker ticketing
 system.
 .
 UnderSMTPD uses Net::Server::Mail to do all the hard work.
