## undersmtpd 0.0.0.4.2.0.cvs20041126-2

=== debian/changelog ===
undersmtpd (0.0.0.4.2.0.cvs20041126-2) unstable; urgency=low

  * Recommend inet-superserver instead of netkit-inet, for wheezy compat

 -- Ivan Kohler <ivan-debian@420.am>  Fri, 03 May 2013 13:25:57 -0700
