=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: undersmtpd
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, libnet-server-mail-perl
-Recommends: netkit-inetd
+Recommends: inet-superserver
 Suggests: ssmtp | nullmailer | esmtp
 Description: Minimal SMTP server which only pipes mail as specified in /etc/aliases
  This is a minimal SMTP server which only forwards mail to pipe destinations
